Auto Multiple Choice - Bug # 423: LualLaTeX 0.85 and newer need AMC update

Status: Closed Priority: Normal

Author: Davide G.M. Salvetti Category: LaTeX

Created: 08/25/2016 Assignee:

Updated: 05/07/2018 Due date:

Description: Since LualaTeX 0.85 (or maybe 0.87) almost all pdfTeX extented primitives with names \pdf have been

renamed or removed (see: http://tug.ctan.org/macros/generic/luatex85/luatex85.pdf).

When running LuaLaTeX AMC therefore needs to use \savepos instead of \pdfsavepos, etc.

History

12/05/2016 06:45 pm - Alexis Bienvenlie
- Description changed from Since LualL.aTeX 0.85 (or maybe 0.87) almost all pdfTeX extented primitives with names \pdf have been renamed or

removed (see: <http://tug.ctan.org/macros/generic/luatex85/luatex85.pdf>).

When running LualLaTeX AMC therefore needs to use \savepos instead of \pdfsavepos, etc. to Since LualLaTeX 0.85 (or maybe 0.87) almost all pdfTeX

extented primitives with names \pdf have been renamed or removed (see: http://tug.ctan.org/macros/generic/luatex85/luatex85.pdf).
When running LualLaTeX AMC therefore needs to use \savepos instead of \pdfsavepos, etc.
03/18/2018 01:03 pm - Tarik Graba

| can confirm this bug.

On Debian stretch (stagble) with LuaTeX, Version 0.95.0 (TeX Live 2016/Debian) and AMC 1.3.0.
As workaround, | had to define the missing commands by adding the following:

<pre>

\let\pdfsavepos\savepos

\let\pdflastxpos\lastxpos

\let\pdflastypos\lastypos

</pre>

before the \usepackagel...]J{automultiplechoice}

Tarik

03/19/2018 11:05 am - Alexis Bienveniie
- Status changed from New to Resolved

- Target version set to 1.4.0

- % Done changed from 0 to 100

This should be corrected with revision commit:8953b594f329.

03/19/2018 11:16 am - Alexis Bienveniie
Applied in changeset commit:8953b594£329.

05/07/2018 06:10 pm - Alexis Bienveniie

- Status changed from Resolved to Closed
